Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class PortletInterceptor

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInterceptor

All Implemented Interfaces:
  Interceptor

Direct Known Subclasses:
  AjaxInterceptor, BridgeInterceptor, ConsumerCacheInterceptor, ContextDispatcherInterceptor, ContextTrackerInterceptor, DumpInterceptor, HeaderInterceptor, InstanceSecurityInterceptor, LocalInterceptor, ModesInterceptor, PortalSessionSynchronizationInterceptor, PortletContainerManagementInterceptorImpl, PortletSessionSynchronizationInterceptor, ProducerCacheInterceptor, SecureTransportInterceptor, TransactionInterceptor, ValveInterceptor, WindowStatesInterceptor

    public abstract class PortletInterceptor

extends java.lang.Object
implements Interceptor

Version:
  $Revision: 6712 $
Author:
  Julien Viet

Constructor Summary
`PortletInterceptor()`

Method Summary
`java.lang.Object` | `invoke(Invocation invocation)` todo
`protected abstract java.lang.Object` | `invoke(PortletInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInterceptor

    public PortletInterceptor()

Method Detail

### invoke

    public java.lang.Object invoke(Invocation invocation)
                            throws java.lang.Exception,
                                   InvocationException

  Description copied from interface: `Interceptor`
  todo

  Specified by:
    `invoke` in interface `Interceptor`
  Throws:
    `java.lang.Exception`
    `InvocationException`

### invoke

    protected abstract java.lang.Object invoke(PortletInvocation invocation)
                                        throws java.lang.Exception,
                                               InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD